//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Data/RealDataStackPresenter.h
//! @brief     Defines class RealDataStackPresenter.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_DATA_REALDATASTACKPRESENTER_H
#define BORNAGAIN_GUI_VIEW_DATA_REALDATASTACKPRESENTER_H

#include "GUI/View/Item/ItemStackWidget.h"
#include <QMap>

class RealDataPresenter;

class RealDataStackPresenter : public ItemStackWidget {
public:
    //! Shows the widget for given item (and hides previous one).
    //! If no widget yet exists, it will be created.
    void setItem(QObject* item, QObject* model = nullptr);

    RealDataPresenter* itemWidget(QObject* item);

private:
    QMap<QObject*, RealDataPresenter*> m_itemToWidget;
};

#endif // BORNAGAIN_GUI_VIEW_DATA_REALDATASTACKPRESENTER_H
