//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/MaskEditingFrame.h
//! @brief     Defines class MaskEditingFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_MASKEDITINGFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_MASKEDITINGFRAME_H

#include "GUI/View/Access/DataAccessWidget.h"

class MaskEditorActions;
class MaskEditorCanvas;
class MaskEditorPropertyPanel;

//! Mask editing for DatafileItem on DataView.

class MaskEditingFrame : public DataAccessWidget {
    Q_OBJECT
public:
    MaskEditingFrame(QWidget* parent = nullptr);

    void setJobOrDatafileItem(QObject* job_or_real_item) override;

    QList<QAction*> actionList() override;

private:
    void setContextMW();
    void onPropertyPanelRequest();
    void showEvent(QShowEvent*) override;
    void hideEvent(QHideEvent*) override;

    MaskEditorActions* m_editorActions;
    MaskEditorPropertyPanel* m_editorPropertyPanel;
    MaskEditorCanvas* m_editorCanvas;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_MASKEDITINGFRAME_H
